# @crystal-ball/babel-base changelog

This project strictly adheres to semver and will err on the side of releasing majors when
changes could possibly introduce breaking changes. This changelog is dynamically generated
with [Semantic Release](https://semantic-release.gitbook.io/semantic-release/) configured
with [@crystal-ball/semantic-release-base](https://github.com/crystal-ball/semantic-release-base).

> Changelog tags
>
> - 💥 - Breaking change
> - 🔖 - Release notes
> - 💖 - New feature
> - ✨ - Updates
> - 🛠 - Fixes


## [1.8.0](https://github.com/crystal-ball/babel-base/compare/v1.7.0...v1.8.0) (2020-05-20)


#### 💖 New

* Relative alias import transforms 🎊([a49ff11](https://github.com/crystal-ball/babel-base/commit/a49ff111924226cb833751a1a1f3d9613afb55f0))

## [1.7.0](https://github.com/crystal-ball/babel-base/compare/v1.6.1...v1.7.0) (2020-05-19)


#### ✨ Update

* Package dependencies 🆙 (#31)([cfcff8e](https://github.com/crystal-ball/babel-base/commit/cfcff8ece6bc231d6b09e636c7feb2f565d038da)), closes [#31](https://github.com/crystal-ball/babel-base/issue/31)

### [1.6.1](https://github.com/crystal-ball/babel-base/compare/v1.6.0...v1.6.1) (2020-05-03)


#### 🛠 Fix

* Include class-properties plugin for Node projects 🎊 (#24)([c73fb62](https://github.com/crystal-ball/babel-base/commit/c73fb62c4e55528fbd77d57e59c5ddea3c92737e)), closes [#24](https://github.com/crystal-ball/babel-base/issue/24)

#### Chore

* Reconfigure Renovate ⚙️ (#21)([1df800d](https://github.com/crystal-ball/babel-base/commit/1df800d93040491e09cd3ae10727eaaa9106cd97)), closes [#21](https://github.com/crystal-ball/babel-base/issue/21)
* Reconfigure Renovate ⚙️ (#23)([f533b28](https://github.com/crystal-ball/babel-base/commit/f533b28c52696558abcd2b1f7eff603812539183)), closes [#23](https://github.com/crystal-ball/babel-base/issue/23)
* Update CI/CD configurations ⚙️ (#20)([17de156](https://github.com/crystal-ball/babel-base/commit/17de156f60d214bdb47616cac3f1531f5650363b)), closes [#20](https://github.com/crystal-ball/babel-base/issue/20)
* Update dev dependencies 🆙 (#19)([1f061e1](https://github.com/crystal-ball/babel-base/commit/1f061e1535d57541c8d16d6cda97f7d37d13f076)), closes [#19](https://github.com/crystal-ball/babel-base/issue/19)
* Update dev dependencies 🆙 (#22)([15562dd](https://github.com/crystal-ball/babel-base/commit/15562dd2a94212c6fa50004c80d498bf64e09f2b)), closes [#22](https://github.com/crystal-ball/babel-base/issue/22)

## [1.6.0](https://github.com/crystal-ball/babel-base/compare/v1.5.0...v1.6.0) (2020-04-18)


#### ✨ Update

* Remove emotion from React configs ⚙️([f0d7995](https://github.com/crystal-ball/babel-base/commit/f0d7995038d3ea03b957163bf41ba7e42dd507d1))

## [1.5.0](https://github.com/crystal-ball/babel-base/compare/v1.4.0...v1.5.0) (2020-04-18)


#### ✨ Update

* Package dependencies 🆙([1668423](https://github.com/crystal-ball/babel-base/commit/16684233de81703396b808647ee3562ad18daae6))

## [1.4.0](https://github.com/crystal-ball/babel-base/compare/v1.3.0...v1.4.0) (2020-03-22)


#### ✨ Update

* Package dependencies 🆙([0383a18](https://github.com/crystal-ball/babel-base/commit/0383a181acc9b3d40f400594e6ce29bffb47ad07))

#### Chore

* Update dev dependencies 🆙 (#16)([1b89546](https://github.com/crystal-ball/babel-base/commit/1b895464e4392fa3d2016d6e22ae1f51adc490ea)), closes [#16](https://github.com/crystal-ball/babel-base/issue/16)

## [1.3.0](https://github.com/crystal-ball/babel-base/compare/v1.2.0...v1.3.0) (2020-03-15)


#### ✨ Update

* Package dependencies to v7.8.7 🆙 (#15)([24e80b6](https://github.com/crystal-ball/babel-base/commit/24e80b6c09ba9f84f4ecd73fcbc778a995bc9783)), closes [#15](https://github.com/crystal-ball/babel-base/issue/15)

#### Chore

* Update dev dependencies 🆙 (#14)([f731413](https://github.com/crystal-ball/babel-base/commit/f73141357f0c7c26c90f41c68318916c86246b8f)), closes [#14](https://github.com/crystal-ball/babel-base/issue/14)

## [1.2.0](https://github.com/crystal-ball/babel-base/compare/v1.1.1...v1.2.0) (2020-03-03)


#### ✨ Update

* Package dependencies to v7.8.6 🆙 (#13)([3817eaa](https://github.com/crystal-ball/babel-base/commit/3817eaac6dc51758fe309d939bf71ae9e9746b97)), closes [#13](https://github.com/crystal-ball/babel-base/issue/13)

#### Chore, Docs

* Configure branch and commit info ⚙️([fd9e486](https://github.com/crystal-ball/babel-base/commit/fd9e48670d079be63b12d6a43a877a76bf7bc9fe))
* Fix code coverage reporting ⚙️ (#10)([4627aea](https://github.com/crystal-ball/babel-base/commit/4627aea6fb862dc9aff6acb3d1327a19917312b2)), closes [#10](https://github.com/crystal-ball/babel-base/issue/10)
* Fix CodeClimate reporting env vars ⚙️ (#11)([dfc28d8](https://github.com/crystal-ball/babel-base/commit/dfc28d89a21a2cc0aa439f3345ae5fa6e09ae7dc)), closes [#11](https://github.com/crystal-ball/babel-base/issue/11)
* Fix expression([3a2a7bc](https://github.com/crystal-ball/babel-base/commit/3a2a7bcdfd3e8c5c6bbecd0ad1b2d04febbccfc4))
* Ignore addl publish assets ⚙️([1483477](https://github.com/crystal-ball/babel-base/commit/1483477fd4ede20c756c27aded67dbad5b9a3cdd))
* Setup repo code owners([c3e7b38](https://github.com/crystal-ball/babel-base/commit/c3e7b38a7bcf29089714fc878a11bf40d4522295))
* Update dev dependencies 🆙 (#12)([28e3087](https://github.com/crystal-ball/babel-base/commit/28e308740601c0cf4a18983af7b5cfc00dbc0916)), closes [#12](https://github.com/crystal-ball/babel-base/issue/12)
* Update require statement example 📝([35b4167](https://github.com/crystal-ball/babel-base/commit/35b41678766f21d2191af548a475756ac7220970))

### [1.1.1](https://github.com/crystal-ball/babel-base/compare/v1.1.0...v1.1.1) (2020-02-20)


#### 🛠 Fix

* Point package.json main to correct location (#9)([a303fcc](https://github.com/crystal-ball/babel-base/commit/a303fcc463d3eb2133f58f91bf944e3e67a79d40)), closes [#9](https://github.com/crystal-ball/babel-base/issue/9)

#### Docs

* Fix Changelog 📝([7da6ca4](https://github.com/crystal-ball/babel-base/commit/7da6ca42100366338f57826190e52abe838485b7))

## [1.1.0](https://github.com/crystal-ball/babel-base/compare/v1.0.0...v1.1.0) (2020-02-20)


#### ✨ Update

* Add package setup docs and handle compile targets internally 📝 (#8)([f5511fa](https://github.com/crystal-ball/babel-base/commit/f5511fa2a17579bf8b1d1fe838306167653a326c)), closes [#8](https://github.com/crystal-ball/babel-base/issue/8)

#### Chore

* Configure CI/CD action ⚙️ (#3)([c66f06e](https://github.com/crystal-ball/babel-base/commit/c66f06ee8f150e126a6848e6159a5e058b1837f7)), closes [#3](https://github.com/crystal-ball/babel-base/issue/3)
* Configure Code Climate exclusions ⚙️ (#6)([f0c91da](https://github.com/crystal-ball/babel-base/commit/f0c91da0b9757fc8553b1b6b80af75cc7e135361)), closes [#6](https://github.com/crystal-ball/babel-base/issue/6)
* Configure Code Climate maintainability checks ⚙️ (#4)([62bd1ec](https://github.com/crystal-ball/babel-base/commit/62bd1eca82b2fde5f7d3fe594d6262247b2f18a3)), closes [#4](https://github.com/crystal-ball/babel-base/issue/4)
* Configure code coverage threshold in Jest ⚙️ (#5)([10c592b](https://github.com/crystal-ball/babel-base/commit/10c592b92dc8daaf3d5fb57b9bfb170b485dea7a)), closes [#5](https://github.com/crystal-ball/babel-base/issue/5)
* Configure Semantic Release and Commitizen 🚀 (#7)([9ceb718](https://github.com/crystal-ball/babel-base/commit/9ceb7183fdd247234e4688b8d1ba2af2756da3db)), closes [#7](https://github.com/crystal-ball/babel-base/issue/7)
